:root {
    --colorPassy: #85b851;
    --colorPassy-dark: #2c8240;
    --colorPassy-light: #bcd95C;

}

::-webkit-scrollbar {
    width: 16px;
}

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    background-color: #d6dee1;
    border-radius: 20px;
    border: 6px solid transparent;
    background-clip: content-box;
}

    ::-webkit-scrollbar-thumb:hover {
        background-color: #a8bbbf;
    }


.blink_text {
    animation: 1s blinker linear infinite;
}

.blink_text a {
    color: #f00;
}

@keyframes blinker {
    0% {
        opacity: 1.0;
    }

    50% {
        opacity: 0.0;
    }

    100% {
        opacity: 1.0;
    }
}

#left_menu {
    display: none;
    position: absolute;
    z-index: 9999;
    background-color: #FFF;
    padding: 10px 20px;
    border: 1px solid #DDD;
    border-radius: 3px;
    box-shadow: 6px 6px 5px #818283;
}

.bootbox.modal {
    z-index: 9999 !important;
}

html, body {
    font-family: 'Lato', sans-serif;
    color: #4D4D4D;
}

@font-face {
    font-family: 'Lato';
    font-style: normal;
    font-weight: 400;
    src: local('Lato Regular'), local('Lato-Regular'), url(https://fonts.gstatic.com/s/lato/v13/1YwB1sO8YE1Lyjf12WNiUA.woff2) format('woff2');
}

.colorGray {
    color: #666666
}

.colorPassy {
    color: #85b851;
}

.colorPassy-dark {
    color: #2c8240;
}

.colorPassy-light {
    color: #bcd95C;
}

.border-Passy {
    border-color: #378c44;
}

/**BOOTSTRAP OVERRIDE**/

.btn-success {
    background-color: #85b851;
    color: #fff;
}

.btn-info {
    border-color: #175eb8;
}

.btn-group > .btn {
    background-color: var(--colorPassy);
    color : white;
}

    .btn-group > .btn:hover {
        background-color: var(--colorPassy-dark);
    }


.btn-outline-lightdark {
    color: #343a40;
    border-color: #dee2e6;
    background-color: transparent;
}

    .btn-outline-lightdark:hover {
        font-weight: 700;
        color: #343a40;
        border-color: #dee2e6;
        background-color: transparent;
    }

    .btn-outline-lightdark:focus, .btn-outline-lightdark.focus {
        box-shadow: 0 0 0 0.2rem rgba(222, 226, 230, 0.5);
    }

    .btn-outline-lightdark.disabled, .btn-outline-lightdark:disabled {
        color: #dee2e6;
        background-color: transparent;
    }

    .btn-outline-lightdark:not(:disabled):not(.disabled):active, .btn-outline-lightdark:not(:disabled):not(.disabled).active,
    .show > .btn-outline-lightdark.dropdown-toggle {
        font-weight: 700;
    }

        .btn-outline-lightdark:not(:disabled):not(.disabled):active:focus, .btn-outline-lightdark:not(:disabled):not(.disabled).active:focus,
        .show > .btn-outline-lightdark.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(222, 226, 230, 0.5);
        }

/* Stile per il pulsante btn-light-dark */
.btn-light-dark {
    background-color: #909090; /* Colore di sfondo grigio scuro */
    color: #fff; /* Colore del testo bianco */
    border: 1px solid inherit; /* Rimuovi il bordo */
}

    /* Stile hover per il pulsante btn-light-dark */
    .btn-light-dark:hover {
        background-color: #909090; /* Colore di sfondo leggermente pių scuro al passaggio del mouse */
        border: 1px solid #909090; /* Colore di sfondo leggermente pių scuro al passaggio del mouse */
        font-weight: 700; /* Cambia il peso del carattere al passaggio del mouse */
    }

    /* Stile focus per il pulsante btn-light-dark */
    .btn-light-dark:focus, .btn-light-dark.focus {
        box-shadow: 0 0 0 0.2rem rgba(222, 226, 230, 0.5);
    }

    /* Stile per il pulsante btn-light-dark disabilitato */
    .btn-light-dark.disabled, .btn-light-dark:disabled {
        background-color: #A3A5A7; /* Colore di sfondo grigio scuro per il pulsante disabilitato */
        color: #dee2e6; /* Colore del testo grigio */
    }

    /* Stile per il pulsante btn-light-dark attivo (cliccato) */
    .btn-light-dark:active, .btn-light-dark.active {
        background-color: #909090; /* Colore di sfondo leggermente pių scuro quando il pulsante č attivo */
        font-weight: 700; /* Cambia il peso del carattere quando il pulsante č attivo */
    }

        /* Stile focus per il pulsante btn-light-dark attivo (cliccato) */
        .btn-light-dark:active:focus, .btn-light-dark.active:focus {
            box-shadow: 0 0 0 0.2rem rgba(222, 226, 230, 0.5);
        }

/**OMANTEL CLASSES***/

.border-omantel {
    border: 1px solid #fea42a;
}

.text-omantel {
    color: #fea42a;
}

.badge-outline-dark {
    color: #525456;
    background-color: #FFF;
    border: 1px solid #525456;
}


.btn-outline-omantel {
    background-color: #FFFFFF;
    color: #fea42a;
    border-color: #fea42a;
    border-radius: 3px;
}

    .btn-outline-omantel:hover {
        background-color: #fea42a !important;
        color: #FFFFFF !important;
        border-color: #fea42a !important;
        border-radius: 3px !important;
    }

.btn-omantel {
    background-color: #fea42a;
    color: #FFF;
    border-color: #fea42a;
    border-radius: 3px;
}

    .btn-omantel:hover {
        background-color: #FFF !important;
        color: #fea42a !important;
        border-color: #fea42a !important;
        border-radius: 3px !important;
    }

/** NAVBAR **/
#menu-upper li {
    text-transform: uppercase;
    font-size: 0.9em
}

.navbar-nav > li > a:hover {
    color: #378C44 !important;
}

.logopassy {
    width: 40%;
    max-width: 230px;
    margin-top: 20px;
    margin-bottom: 10px;
}

.mapButton {
    width: 38px;
    display: inline-block;
    height: 27px;
    overflow: hidden;
    /*margin-top: 1px;*/
    border: 1px solid #CCC;
    border-radius: 3px;
    background-color: #FFF;
    text-align:center
}

    .mapButton > i {
        padding-left: 7px;
    }

/** FOOTER **/
footer {
    position: relative;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    height: 25px;
    background-color: #ffffff;
    padding-top: 5px;
}

#copylegal {
    font-size: 0.6em;
    line-height: 13px;
}

    #copylegal img {
        width: 40px;
    }

/** MENU FOOTER **/
footer #menu_div {
    position: relative;
}

footer ul#menu {
    list-style: none;
    margin: 0 auto;
    position: relative;
    left: 50%;
}

    footer ul#menu li {
        float: left;
        display: block;
        margin: 0px 10px;
        text-transform: uppercase;
        font-size: 0.8em;
        position: relative;
        right: 50%;
    }

        footer ul#menu li a {
            color: #4D4D4D;
        }



/** index.html PAGE_BODY **/
.imageResp {
    background: url(../Image/HOME_crop.jpg) center center;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    width: 100%;
    min-height: 470px;
}

/* IE6 hack */


#loginreg {
    background: -moz-linear-gradient(left, rgba(0,0,0,0) 0%, rgba(0,0,0,0.5) 75%); /* FF3.6-15 */
    background: -webkit-linear-gradient(left, rgba(0,0,0,0) 0%,rgba(0,0,0,0.5) 75%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to right, rgba(0,0,0,0) 0%,rgba(0,0,0,0.5) 75%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#80000000',GradientType=1 ); /* IE6-9 */
    float: right;
    width: 25%;
    text-align: center;
}

.iconauser {
    max-width: 120px;
    width: 25%;
    margin-bottom: 5px;
    margin-top: 45%;
}

#loginreg #registrazione #homeLoginLink a {
    font-size: 1.5em;
    color: white;
}

#loginreg #registrazione #homeLoginReg {
    margin-top: 20px;
}

    #loginreg #registrazione #homeLoginReg a {
        font-size: 1em;
        color: #378c44;
    }
/** /index.html PAGE_BODY **/









.login {
    /* float: right; */
    color: #ffffff;
    font-size: 25px;
}

.createaccount {
    /* float: right; */
    color: #378C44;
    font-size: 18px;
}

@media (max-width: 640px) {
    .navbar-collapse {
        padding-right: 60px !important;
        padding-left: 15px;
        overflow-x: visible;
        -webkit-overflow-scrolling: touch;
        border-top: 0px solid transparent !important;
        border-top-color: transparent;
        -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .1);
        box-shadow: inset 0 0px 0 rgba(255, 255, 255, .1) !important;
    }

    .iconauser {
        width: 10%;
        margin-top: 10%;
    }

    .login {
        font-size: 15px;
    }

    .createaccount {
        font-size: 10px;
    }
}

@media (max-width: 380px) {
    .navbar-right {
        background-color: white;
        margin-top: 15px;
    }

    .iconauser {
        margin-top: 20%;
        width: 15%;
    }
}

/*Fine Jess Style*/


/** pag2-home.html PAGE_BODY **/
#registrazione {
}

#regTitle {
    color: white;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 12px;
    padding-right: 12px;
    font-size: 1.5em
}

#loginreg #registrazione .form-group {
    margin-bottom: 5px;
}

    #loginreg #registrazione .form-group input {
        margin: Auto;
    }

#loginreg #registrazione .btn-success {
    margin: 10px 0;
    font-size: 1.3em
}

#loginreg #registrazione a {
    color: #378c44;
}

    #loginreg #registrazione a.login {
        font-size: 1.3em;
    }

#registrazione label {
    color: white;
    font-size: 0.8em;
    margin: 0 40px;
    text-align: left;
}

#registrazione input[type='checkbox'] {
    width: 1.3em;
    height: 1.3em;
    background-color: transparent;
    border-radius: 50%;
    vertical-align: middle;
    border: 2px solid #378c44;
    -webkit-appearance: none;
    outline: none;
    cursor: pointer;
}

    #registrazione input[type='checkbox']:checked {
        background-color: #378c44;
    }

/** /pag2-home.html PAGE_BODY **/

/***********************************/

.form-horizontal {
    z-index: 1000;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    /*padding-left: 15px;
    padding-right: 15px;*/
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 100%;
}

.bootstrap-select {
    max-width: 100%;
}

img.image-50 {
    width: 50px;
    height: 50px;
}

img.image-70 {
    height: 70px;
}

img.image-80 {
    height: 80px;
}

img.image-100 {
    height: 100px;
}

img.image-200 {
    height: 200px;
}

.well {
    margin-bottom: 0px;
    padding: 10px;
}



@media (max-width: 767px) {
    /*.navbar-default .navbar-nav .open .dropdown-menu > li > a {
        color: #C2B49A;
    }*/
}

.panel {
    float: left;
    display: inline-block;
    /*width: 15%;*/
    padding: 10px;
    margin-left: 1%;
    margin-right: 1%;
    margin-bottom: 3%;
    min-width: 152px;
}

.well {
    margin-right: 5px;
    margin-left: 5px;
    width: 40px;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #F2F2F2;
}

.table-hover tbody tr:hover td, .table-hover tbody tr:hover th {
    background-color: #C2B49A;
}

.table > thead:first-child > tr:first-child > th {
    border-top: px;
    border-top-width: 2px;
}

.table-bordered > thead > tr > th {
    border: 2px solid #fff;
}

.table-bordered > tbody > tr > td {
    border: 2px solid #fff;
}

.sameLine {
    display: table-cell;
    padding-right: 25px;
    padding-bottom: 15px;
    width: 300px;
}

.custom-file-upload {
    border: 1px solid #ccc;
    display: inline-block;
    padding: 6px 12px;
    cursor: pointer;
}

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -6px;
        margin-left: -1px;
        -webkit-border-radius: 0 6px 6px 6px;
        -moz-border-radius: 0 6px 6px;
        border-radius: 0 6px 6px 6px;
    }

    .dropdown-submenu:hover > .dropdown-menu {
        display: block;
    }

    .dropdown-submenu > a:after {
        display: block;
        content: " ";
        float: right;
        width: 0;
        height: 0;
        border-color: transparent;
        border-style: solid;
        border-width: 5px 0 5px 5px;
        border-left-color: #ccc;
        margin-top: 5px;
        margin-right: -10px;
    }

    .dropdown-submenu:hover > a:after {
        border-left-color: #fff;
    }

    .dropdown-submenu.pull-left {
        float: none;
    }

        .dropdown-submenu.pull-left > .dropdown-menu {
            left: -100%;
            margin-left: 10px;
            -webkit-border-radius: 6px 0 6px 6px;
            -moz-border-radius: 6px 0 6px 6px;
            border-radius: 6px 0 6px 6px;
        }

.navbar-default {
    background-color: transparent !important;
    border-color: transparent !important;
}


/*Content Site CSS*/
#accordion a:hover {
    color: black !important;
}



.btn-personal {
    background-color: #72bb53;
    padding-left: 20px;
    padding-right: 20px;
    color: #333;
    border-color: #ccc;
}

.glyphicon-refresh-animate {
    -animation: spin .7s infinite linear;
    -webkit-animation: spin2 .7s infinite linear;
}

@-webkit-keyframes spin2 {
    from {
        -webkit-transform: rotate(0deg);
    }

    to {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    from {
        transform: scale(1) rotate(0deg);
    }

    to {
        transform: scale(1) rotate(360deg);
    }
}


a.disabled {
    pointer-events: none;
    cursor: not-allowed;
}

button.disabled {
    cursor: not-allowed;
}

.no-enable {
    color: red;
    --bs-table-color: red;
}

    .no-enable.selected {
        --bs-table-color: red;
        font-weight: 600;
    }

.content-right {
    margin-left: 40%;
}

@@media screen and (max-width: 600px) {
    .content-right {
        margin-left: 0px;
    }
}


.divTable {
    display: table;
    width: 100%;
    overflow: auto;
}


.divTableRow {
    display: table-row;
}


.divTableHeading {
    background-color: #EEE;
    display: table-row;
    font-weight: bold;
}


.divTableCell, .divTableHead {
    border: 1px solid #999999;
    display: table-cell;
    padding: 3px 10px;
}


.divTableFoot {
    background-color: #EEE;
    display: table-footer-group;
    font-weight: bold;
}


.divTableBody {
    display: table-row-group;
}

.pulse {
    animation: animate 2s linear infinite;
}

@keyframes animate {
    0% {
        box-shadow: 0 0 0 0 rgba(188, 217, 92, 0.7), 0 0 0 0 rgba(188, 217, 92, 0.7);
    }

    40% {
        box-shadow: 0 0 0 50px rgba(188, 217, 92, 0), 0 0 0 0 rgba(188, 217, 92, 0.7);
    }

    80% {
        box-shadow: 0 0 0 50px rgba(188, 217, 92, 0), 0 0 0 30px rgba(188, 217, 92, 0);
    }

    100% {
        box-shadow: 0 0 0 0 rgba(188, 217, 92, 0), 0 0 0 30px rgba(188, 217, 92, 0);
    }
}

a.disabled {
    pointer-events: none;
    cursor: not-allowed;
    opacity: .65;
}

a.disabledPartial {
    cursor: not-allowed;
    opacity: .65;
}

div.disabled {
    pointer-events: none;
    cursor: not-allowed;
    opacity: .65;
}

#mnuDeviceManage {
    display: none;
    padding: 10px 20px;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #FFF;
    border: 1px solid #DDD;
    border-radius: 3px;
    box-shadow: 6px 6px 5px #818283;
    z-index: 1000;
}

    #mnuDeviceManage ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

        #mnuDeviceManage ul li {
            height: 25px;
            width: 100%;
        }

            #mnuDeviceManage ul li a {
                float: left;
                width: 100%;
            }

                #mnuDeviceManage ul li a i {
                    margin: 0 10px 0 0 !important;
                    padding: 0 !important;
                }


.nowrap {
    white-space: nowrap;
}

.btn-success .fa {
    color: white;
}

.mnuDeviceManage {
    display: none;
    padding: 10px 20px;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #FFF;
    border: 1px solid #DDD;
    border-radius: 3px;
    box-shadow: 6px 6px 5px #818283;
    z-index: 1000;
}

    .mnuDeviceManage ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

        .mnuDeviceManage ul li {
            height: 25px;
            white-space: nowrap;
        }

            .mnuDeviceManage ul li a i {
                margin: 0 10px 0 0 !important;
                padding: 0 !important;
            }

.container-btn-band {
    display: flex;
    flex-wrap: wrap;
    max-height: 262px;
    overflow-y: auto;
}

    .container-btn-band .div-btn-band {
        margin-bottom: 8px;
        width: 100%;
    }

.btn-band:hover {
    background-color: #FAFAFA;
}

.btn-band:active, .btn-band:focus {
    border-color: #85b851;
    color: #85b851;
    outline: 0;
    background-color: #c7eed4;
}

.btn-band-active {
    border-color: #85b851 !important;
    color: #85b851 !important;
    outline: 0;
    background-color: #c7eed4 !important;
}

.btn-band {
    outline: transparent;
    font-family: "Segoe UI", "Segoe UI Web (West European)", "Segoe UI", -apple-system, BlinkMacSystemFont, Roboto, "Helvetica Neue", sans-serif;
    -webkit-font-smoothing: antialiased;
    font-size: 14px;
    font-weight: 400;
    border: 1px solid rgb(138, 136, 134);
    border-radius: 20px;
    box-sizing: border-box;
    cursor: pointer;
    display: inline-block;
    padding: 0px 16px;
    text-decoration: none;
    text-align: center;
    min-width: 80px;
    background-color: #fff;
    user-select: none;
    height: 40px;
    /*border-color: #EBEBEB;*/
    color: #000;
    justify-content: space-evenly;
    position: relative;
    transition: border-color .1s;
    width: 100%;
}

.passy-invalid {
    border: 1px solid red !important;
}

@font-face {
    font-family: 'FSAlbert-Regular';
    src: url('../fonts/FSAlbert-Regular.otf');
}

@font-face {
    font-family: 'FSAlbert-Bold';
    src: url('../fonts/FSAlbert-Bold.otf');
}

.FSAlbert-Regular {
    font-family: 'FSAlbert-Regular';
}


.FSAlbert-Bold {
    font-family: 'FSAlbert-Bold';
}

/*bootstrap-table css*/
.active > .page-link, .page-link.active {
    background-color: #85b851;
    border-color: #85b851;
}

.page-link {
    color: #85b851;
}

    .page-link:hover {
        color: var(--bs-btn-hover-bg);
    }

.dropdown-item.active {
    background-color: #85b851;
}

.bootstrap-select .dropdown-menu {
    min-width: 215px;
    max-width: 350px;
}

tr.selected {
    --bs-table-color: var(--colorPassy);
    font-weight: 600;
}

button:disabled {
    cursor: not-allowed;
}
a:disabled {
    cursor: not-allowed;
}

.partial-title {
    color: #716557;
    font-size: larger;
   font-weight : bold;
   padding-top : 2rem;
}

.displayNone {
    display: none !important;
}

.nav-link {
    font-size: 1rem;
}

.resize-small .nav-link {
    font-size: 0.8rem;
}


.passy-a {
    text-decoration: none !important;
    color: #4D4D4D !important;
}
    .passy-a:hover {
        text-decoration: none !important;
        color: var(--colorPassy) !important;
    }

.mapContainer {
    text-align: center;
    border: 3px solid #BCD95C;
}

.e-menu-wrapper.e-menu-popup a.e-menu-url {
    width: 100% !important;
}

.bootstrap-table .fixed-table-container .fixed-table-body {
    height: unset;
}

.fa, .fa-brands, .fa-classic, .fa-regular, .fa-solid, .fab, .far, .fas {
    width: unset;
    background-color: unset !important;
}